Debian Bug report logs - #733144
O: zziplib -- library providing read access on ZIP-archives - binaries

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ricardo Mones <mones@debian.org>

Date: Thu, 26 Dec 2013 10:27:06 UTC

Severity: normal

Fixed in version zziplib/0.13.56-2

Done: Scott Howard <showard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, liuqi82@gmail.com, wnpp@debian.org:
Bug#733144; Package wnpp. (Thu, 26 Dec 2013 10:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to liuqi82@gmail.com, wnpp@debian.org. (Thu, 26 Dec 2013 10:27:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: zziplib -- library providing read access on ZIP-archives - binaries
Date: Thu, 26 Dec 2013 11:15:45 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of zziplib, LIU Qi <liuqi82@gmail.com>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: zziplib
Binary: zziplib-bin, libzzip-0-13, libzzip-dev
Version: 0.13.56-1.1
Maintainer: LIU Qi <liuqi82@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, zlib1g-dev, python
Architecture: any
Standards-Version: 3.8.2
Format: 1.0
Files:
 0710b646742c7cee7ecfba591ea4639d 1961 zziplib_0.13.56-1.1.dsc
 729e291af8de84b54eca93e8283f016e 680150 zziplib_0.13.56.orig.tar.gz
 43cd7591ef3d4cdc8f3565ea91ab9665 10543 zziplib_0.13.56-1.1.diff.gz
Vcs-Browser: http://git.printk.org/?p=liuqi/debian/zziplib.git;a=summary
Vcs-Git: git://git.printk.org/liuqi/debian/zziplib.git
Checksums-Sha1:
 e03b1ea0e30c0c7607f94c58530706d8ffa28784 1961 zziplib_0.13.56-1.1.dsc
 5afd0fa6e7ace0fb45e768d2acaafea16c1bd941 680150 zziplib_0.13.56.orig.tar.gz
 97b0fdbcdd13d576e2c529b335997ec5a3681bef 10543 zziplib_0.13.56-1.1.diff.gz
Checksums-Sha256:
 ba97b82a01e7c03234c05bbd7175aa3783b2c82ac2bebde831fe9afc979ea201 1961 zziplib_0.13.56-1.1.dsc
 03d5cede1336d69bc1b060da90a5b786bb7987c84129c9110df806508165c4b0 680150 zziplib_0.13.56.orig.tar.gz
 b3c018b84421d4487da7423bf7881e44cc6fb7d3c3884350809d21c7d6dac507 10543 zziplib_0.13.56-1.1.diff.gz
Homepage: http://zziplib.sourceforge.net
Package-List: 
 libzzip-0-13 deb libs optional
 libzzip-dev deb libdevel optional
 zziplib-bin deb utils optional
Directory: pool/main/z/zziplib
Priority: source
Section: libs

Package: zziplib-bin
Source: zziplib
Version: 0.13.56-1.1
Installed-Size: 94
Maintainer: LIU Qi <liuqi82@gmail.com>
Architecture: armel
Depends: libc6 (>= 2.4), libzzip-0-13 (>= 0.13.56), zlib1g (>= 1:1.1.4)
Description-en: library providing read access on ZIP-archives - binaries
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains some useful binaries to extract data from zip
 archives.
Description-md5: 226d055c4f586cd69eb6f69325c1ca77
Homepage: http://zziplib.sourceforge.net
Tag: implemented-in::c, interface::commandline, role::program,
 scope::utility, use::compressing, use::storing, works-with-format::zip,
 works-with::archive
Section: utils
Priority: optional
Filename: pool/main/z/zziplib/zziplib-bin_0.13.56-1.1_armel.deb
Size: 40494
MD5sum: c2cc14b78f5380d047bf00340b1741bd
SHA1: 39b5466b1bb78135ee4c72c2d29bf30cad367e11
SHA256: 12e605e63885032f3d75faebd9774bd971d87b57d363a2d9b503c3367dedcfa5

Package: libzzip-0-13
Source: zziplib
Version: 0.13.56-1.1
Installed-Size: 105
Maintainer: LIU Qi <liuqi82@gmail.com>
Architecture: armel
Replaces: libzzip-0-12
Depends: libc6 (>= 2.4), zlib1g (>= 1:1.1.4)
Conflicts: libzzip-0-12
Description-en: library providing read access on ZIP-archives - library
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains the zziplib runtime library.
Description-md5: af2b6923fb71473fe9795bf123474a93
Homepage: http://zziplib.sourceforge.net
Tag: role::shared-lib, works-with-format::zip, works-with::archive
Section: libs
Priority: optional
Filename: pool/main/z/zziplib/libzzip-0-13_0.13.56-1.1_armel.deb
Size: 51264
MD5sum: 67e0e04500e647877cd9b66dee89f4b3
SHA1: 6b5d7fd640c1824256086c7d680ae561cca62a84
SHA256: 4920aa1d6534d0985c0cc48b121f853f0e18f05e72ac1d5a35b2c9093bfcfcea

Package: libzzip-dev
Source: zziplib
Version: 0.13.56-1.1
Installed-Size: 300
Maintainer: LIU Qi <liuqi82@gmail.com>
Architecture: armel
Depends: libzzip-0-13 (= 0.13.56-1.1)
Description-en: library providing read access on ZIP-archives - development
 The zziplib library is intentionally lightweight, it offers the ability
 to easily extract data from files archived in a single zip file.
 Applications can bundle files into a single zip archive and access them.
 The implementation is based only on the (free) subset of compression
 with the zlib algorithm which is actually used by the zip/unzip tools.
 .
 This package contains the header files and static library needed to
 compile applications that use zziplib.
Description-md5: 9b4d9c54c5e7e6fd09cecb072283372f
Homepage: http://zziplib.sourceforge.net
Tag: devel::library, role::devel-lib, scope::utility, works-with-format::zip,
 works-with::archive
Section: libdevel
Priority: optional
Filename: pool/main/z/zziplib/libzzip-dev_0.13.56-1.1_armel.deb
Size: 143540
MD5sum: 3343d9f3f13c6451a63f085a48521fde
SHA1: 112c2f2fe24f46b59603f8f4f348831d880ee2d6
SHA256: 698d51b435e8f9aa07a841e30dba901f42ff78a11d9a1590ef98591cef281435


-- 
 Ricardo Mones, on behalf of Debian QA/MIA team
 http://people.debian.org/~mones
 ┬źNever send a human to do a machine's job.┬╗ ~ Agent Smith
[signature.asc (application/pgp-signature, inline)]

Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Tue, 07 Jan 2014 19:21:20 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Tue, 07 Jan 2014 19:21:20 GMT) Full text and rfc822 format available.

Message #10 received at 733144-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 733144-close@bugs.debian.org
Subject: Bug#733144: fixed in zziplib 0.13.56-2
Date: Tue, 07 Jan 2014 19:18:57 +0000
Source: zziplib
Source-Version: 0.13.56-2

We believe that the bug you reported is fixed in the latest version of
zziplib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard@debian.org> (supplier of updated zziplib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jan 2014 13:57:57 -0500
Source: zziplib
Binary: zziplib-bin libzzip-0-13 libzzip-dev
Architecture: source i386
Version: 0.13.56-2
Distribution: unstable
Urgency: low
Maintainer: Scott Howard <showard@debian.org>
Changed-By: Scott Howard <showard@debian.org>
Description: 
 libzzip-0-13 - library providing read access on ZIP-archives - library
 libzzip-dev - library providing read access on ZIP-archives - development
 zziplib-bin - library providing read access on ZIP-archives - binaries
Closes: 471065 565982 717837 733144
Changes: 
 zziplib (0.13.56-2) unstable; urgency=low
 .
   * Adopting package (Closes: #733144)
   * use source/format 3.0 (quilt), and separate debian changes into
     patch "export-dynamic.patch"
   * simple dh rules
     - multiarch enabled
     - use --with autotools-dev (Closes: #717837)
   * build depend on zip so build checks run
   * added symbols file
   * No longer conflict with zziplib-0-12 (no reason to conflict)
     (Closes: #565982)
   * Removed unneeded -lz from .pc file (Closes: #471065)
     - debian/patches/remove_extra_z_linking.patch
Checksums-Sha1: 
 85d05d7b12de6f1c5456c000d967bb2abce55337 1365 zziplib_0.13.56-2.dsc
 151ac08c3ad12dc634cb183c195950160dc44c4f 11355 zziplib_0.13.56-2.debian.tar.gz
 818909d801a7a74380f8682f42aa95decbca77ff 38030 zziplib-bin_0.13.56-2_i386.deb
 2927e669815e1a1b02cbabc7ab305c755c711b7c 51760 libzzip-0-13_0.13.56-2_i386.deb
 0dfe896e9e416bd675b35b6cc521aec7201b9f26 132646 libzzip-dev_0.13.56-2_i386.deb
Checksums-Sha256: 
 65c68107e4323b9a880abf405db8c95c1698d9bfb13c034a43485ed37ed924ca 1365 zziplib_0.13.56-2.dsc
 785412d6bdccaf4cf5de7e495db77669261eaeed41cd77f5b9d55cfc1b8a1ef7 11355 zziplib_0.13.56-2.debian.tar.gz
 1d07d3564613af1d4d990efab4cf55c434c4a222b216eb4e02defa1583210643 38030 zziplib-bin_0.13.56-2_i386.deb
 3fca4122b5b68a27340f157f53331f0e24b8d1b2b5e5057ae7b23de62431c18a 51760 libzzip-0-13_0.13.56-2_i386.deb
 4688bf063c93687b706757009acd545ab5d83de302b0ad5a4f0957b9c92fb31d 132646 libzzip-dev_0.13.56-2_i386.deb
Files: 
 22a0507ca6766e04acc72aae42c02df6 1365 libs optional zziplib_0.13.56-2.dsc
 c8f143f72725ca4fdc5a04d39a0b78a4 11355 libs optional zziplib_0.13.56-2.debian.tar.gz
 7fdc6201174d950bb28dc57db06cdc79 38030 utils optional zziplib-bin_0.13.56-2_i386.deb
 954b020b7a8b7644bfd24d7730e0f29f 51760 libs optional libzzip-0-13_0.13.56-2_i386.deb
 843e1a2843aa8fe1b4b841c4be400470 132646 libdevel optional libzzip-dev_0.13.56-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlLMT4kACgkQuqVp0MvxKmokKgCcC3hDl6Gtm+nyLQN2uKYaPvH/
UuAAnAnQ+gTvcoAP4gKnZXEgr2LEVL6z
=I+2F
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Feb 2014 07:27:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:05:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.